For the complete documentation index, see llms.txt. This page is also available as Markdown.

Change KYC status

Changes the KYC verification status once OTP validation is completed

  • This endpoint is intended for use in the sandbox environment only.

  • This endpoint is used to update the KYC status and functions after OTP validation via kycUrl.

  • The following outlines the acceptable status values that can be included within the request body:

    • TEMPORARY_FAILURE

    • PERMANENT_FAILURE

    • BASIC_KYC_COMPLETED

    • INTERMEDIATE_KYC_COMPLETED

    • ADVANCE_KYC_COMPLETED

    • EDD_COMPLETED (for India only)

    • COMPLETED

    • IN_REVIEW

Change the current KYC verification status.

POST https://api-test.onramp.money/onramp/api/v2/whiteLabel/test/changeKycStatus

Request Body

Name
Type
Description

customerId*

String

Unique id received from /kyc/url

status*

String

TEMPORARY_FAILED, PERMANENT_FAILED,

BASIC_KYC_COMPLETED, IN_REVIEW or COMPLETED

  • status -> 0 is for unsuccessful request, 1 is for a successful one

  • changeStatus -> status has been changed successfully.

Last updated